package com.ruoyi.project.common.service;

import com.ruoyi.project.common.domain.MessageUser;

import java.util.List;


/**
 * 物料消息人员Service接口
 * 
 * @author ruoyi
 * @date 2024-04-17
 */
public interface IMessageUserService 
{
    /**
     * 查询物料消息人员
     * 
     * @param id 物料消息人员主键
     * @return 物料消息人员
     */
    public MessageUser selectMessageUserById(Long id);

    /**
     * 查询物料消息人员列表
     * 
     * @param messageUser 物料消息人员
     * @return 物料消息人员集合
     */
    public List<MessageUser> selectMessageUserList(MessageUser messageUser);

    /**
     * 新增物料消息人员
     * 
     * @param messageUser 物料消息人员
     * @return 结果
     */
    public int insertMessageUser(MessageUser messageUser);

    /**
     * 修改物料消息人员
     * 
     * @param messageUser 物料消息人员
     * @return 结果
     */
    public int updateMessageUser(MessageUser messageUser);

    /**
     * 批量删除物料消息人员
     * 
     * @param ids 需要删除的物料消息人员主键集合
     * @return 结果
     */
    public int deleteMessageUserByIds(Long[] ids);

    /**
     * 删除物料消息人员信息
     * 
     * @param id 物料消息人员主键
     * @return 结果
     */
    public int deleteMessageUserById(Long id);
}
